export declare const MateButton: import("vue").DefineComponent<{}, {
    pub: string;
    $props: any;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}, {}>;
export declare const MateList: import("vue").DefineComponent<{
    pub: {
        type: StringConstructor;
        default: string;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, any, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    pub: {
        type: StringConstructor;
        default: string;
    };
}>>, {
    pub: string;
}, {}>;
export declare const MateLink: import("vue").DefineComponent<{}, {
    to: string;
    from: string;
    back: string;
    emoji: string;
    $props: any;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}, {}>;
